PRODUCT=asc2g g2asc cv pix2asc asc2pix

CFLAGS=-O -DBSD42

all:	$(PRODUCT)

asc2g:	asc2g.c ../h/db.h
	$(CC) $(CFLAGS) asc2g.c -o asc2g

g2asc: g2asc.c ../h/db.h
	$(CC) $(CFLAGS) g2asc.c -o g2asc

cv:	cv.c ../h/db.h
	$(CC) $(CFLAGS) cv.c -o cv

pix2asc: pix2asc.c
	$(CC) $(CFLAGS) pix2asc.c -o pix2asc

asc2pix: asc2pix.c
	$(CC) $(CFLAGS) asc2pix.c -o asc2pix

clean:
	rm -f *.o

clobber: clean
	rm -f $(PRODUCT)

install: all
	cp Makefile *.[hc] ../dist/conv/.
	mv $(PRODUCT) /usr/brl/bin/.
